<style>
    table {
        display: block;
        height: 500px;
        width: 100%;
        overflow-y: scroll;
    }
</style>
<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title" style="font-family:monospace;font-size:12pt;font-weight: bold;">
                    REALISASI PER TANGGAL PENERIMAAN
                </h4>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <div id="loading-progress" style="display: none"></div>
                    <div class="row" style="margin-bottom: 3px">
                        <div class="form-horizontal">
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-2 control-label">Periode Target</label>
                                <div class="col-md-2">
                                    <input type="text" class="form-control" id="periodetargetreal"  value="<?= date('Y') ?>">
                                </div>
                            </div>
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-2 control-label">Jenis Target</label>
                                <div class="col-md-2">
                                    <select id="jenistargetreal" class="form-control">
                                        <?php foreach ($jenis_target as $v) { ?>
                                            <option value="<?= $v['s_idtargetjenis'] ?>"><?= $v['s_namatargetjenis'] ?></option>
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-2 control-label">Tipe Rekening</label>
                                <div class="col-md-4">
                                    <select id="tiperekreal" class="form-control">
                                        <option value="rinci">Rinci</option>
                                        <option value="pokok">Pokok</option>
										<option value="induk">Induk</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-2 control-label">Tgl. Realisasi</label>
                                <div class="col-md-4">
                                    <div class="input-group input-daterange">
                                        <input type="text" class="form-control bootstrap-datepicker" id="tglreal1"  value="<?= date('01-m-Y') ?>" readonly="" style="text-align: left">
                                        <span class="input-group-addon" style="background-color: #EEEEEE"><b>s/d</b></span>
                                        <input type="text" class="form-control bootstrap-datepicker" id="tglreal2"  value="<?= date('t-m-Y') ?>" readonly="" style="text-align: left">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-2 control-label">Mengetahui</label>
                                <div class="col-md-4">
                                    <select class="form-control input-sm" id="ttd_mengetahui">
                                        <?php foreach ($ar_pejabat as $row) { ?>
                                            <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-2 control-label">Diperiksa Oleh</label>
                                <div class="col-md-4">
                                    <select class="form-control input-sm" id="ttd_diperiksa">
                                        <?php foreach ($ar_pejabat as $row) { ?>
                                            <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                        <?php } ?>
                                    </select>
                                </div>
                                <div class="col-md-6">
                                    <button type="button" class="btn btn-sm btn-warning" onclick="calldatagrid()"><span class="glyph-icon icon-search"></span> &nbsp;CARI</button>
                                    <button type="button" class="btn btn-sm btn-primary" onclick="pagerealtglexport('excel')"><span class="glyph-icon icon-file-excel-o"></span> &nbsp;EXPORT TO EXCEL</button>
                                    <button type="button" class="btn btn-sm btn-danger" onclick="pagerealtglexport('pdf')"><span class="glyph-icon icon-file-pdf-o"></span> &nbsp;EXPORT TO PDF&nbsp;&nbsp;&nbsp;&nbsp;</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="overflow: auto">
                        <table class="table table-condensed table-bordered table-hover cf table-responsive" style="font-size: 11px; color:black;">
                            <thead>
                                <tr>
                                    <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle; width: 10%">KODE REKENING</th>
                                    <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle; width: 20%">NAMA REKENING</th>
                                    <th rowspan="2" style="background-color: #ed9c28; color: white; text-align: center;vertical-align: middle; width: 15%">ANGGARAN<br>(Rp)</th>
                                    <th colspan="3" style="background-color: #3ebf3e; color: white; text-align: center;vertical-align: middle; width: 30%">REALISASI (Rp.)</th>
                                    <th rowspan="2" style="background-color: #af6eb8; color: white; text-align: center;vertical-align: middle; width: 5%">PERSENTASE <br>(%)</th>
                                    <th colspan="2" style="background-color: #b43d3d; color: white; text-align: center;vertical-align: middle; width: 20%">SELISIH</th>
                                </tr>
                                <tr>
                                    <th style="background-color: #3ebf3e; color: white; text-align: center;vertical-align: middle;"><div id="tgl_sebelum"></div></th>
                                    <th style="background-color: #3ebf3e; color: white; text-align: center;vertical-align: middle;"><div id="tgl_sekarang"></div></th>
                                    <th style="background-color: #3ebf3e; color: white; text-align: center;vertical-align: middle;"><div id="tgl_sesudah"></div></th>
                                    <th style="background-color: #b43d3d; color: white; text-align: center;vertical-align: middle;">LEBIH/KURANG<br>(Rp.)</th>
                                    <th style="background-color: #b43d3d; color: white; text-align: center;vertical-align: middle;">PERSENTASE<br>(%)</th>
                                </tr>
                            </thead>
                            <tbody id="body_grid">
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    $(function () {
        calldatagrid();
    });

    function calldatagrid(direction) {
        gridrealisasi(direction);
    }

    function gridrealisasi(direction) {
        const divprogress = document.getElementById('loading-progress');
        divprogress.style.display = 'block';
        var progress1 = $("#loading-progress").progressTimer();

        $.post('<?= $this->url() ?>/gridrealtgl/' + null + '/' + null + '/' + direction, {
            periodetargetreal: $('#periodetargetreal').val(),
            jenistargetreal: $('#jenistargetreal').val(),
            tiperekreal: $('#tiperekreal').val(),
            tglreal1: $('#tglreal1').val(),
            tglreal2: $('#tglreal2').val()
        }, function (data) {
            var aa = JSON.parse(data);
            $("#body_grid").html(aa.grid);
            $("#tgl_sebelum").html(aa.tgl_sebelum);
            $("#tgl_sekarang").html(aa.tgl_sekarang);
            $("#tgl_sesudah").html(aa.tgl_sesudah);

            $.ajax().error(function () {
                progress1.progressTimer('error', {
                    errorText: 'ERROR!',
                    onFinish: function () {
                        console.log('1 - There was an error processing your information!');
                    }
                });
            }).done(function () {
                progress1.progressTimer('complete');
            });
            setTimeout(() => {
                divprogress.style.display = 'none';
            }, 1000);
        });
    }

    function pagerealtglexport(a) {
        window.open('<?= $this->url() ?>/pagerealtglexport?periodetargetreal=' + $("#periodetargetreal").val()
                + "&jenistargetreal=" + $("#jenistargetreal").val()
                + "&tiperekreal=" + $("#tiperekreal").val()
                + "&tglreal1=" + $("#tglreal1").val()
                + "&tglreal2=" + $("#tglreal2").val()
                + "&mengetahui=" + $("#ttd_mengetahui").val()
                + "&diperiksa=" + $("#ttd_diperiksa").val()
                + "&file_format=" + a);
    }
</script>